edu.ucsb.nceas.metacat.properties

## Interface PropertiesInterface

- All Known Implementing Classes:
    ConfigurableProperties, SimpleProperties

      public interface PropertiesInterface

  This interface will handle properties access

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BYPASSED`
    `static java.lang.String` | `CONFIGURED`
    `static java.lang.String` | `UNCONFIGURED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(java.lang.String propertyName, java.lang.String value)`
    `boolean` | `arePropertiesConfigured()`
    `void` | `bypassConfiguration()`
    `boolean` | `checkAndSetProperty(javax.servlet.http.HttpServletRequest request, java.lang.String propertyName)`
    `boolean` | `doBypass()`
    `edu.ucsb.nceas.utilities.SortedProperties` | `getAuthBackupProperties()`
    `edu.ucsb.nceas.utilities.PropertiesMetaData` | `getAuthMetaData()`
    `edu.ucsb.nceas.utilities.SortedProperties` | `getMainBackupProperties()`
    `edu.ucsb.nceas.utilities.PropertiesMetaData` | `getMainMetaData()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getPropertiesByGroup(java.lang.String groupName)`
    `java.lang.String` | `getProperty(java.lang.String propertyName)`
    `java.util.Vector<java.lang.String>` | `getPropertyNames()`
    `java.util.Vector<java.lang.String>` | `getPropertyNamesByGroup(java.lang.String groupName)`
    `void` | `persistAuthBackupProperties(javax.servlet.ServletContext servletContext)`
    `void` | `persistMainBackupProperties()`
    `void` | `persistProperties()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.String newValue)`
    `void` | `setPropertyNoPersist(java.lang.String propertyName, java.lang.String newValue)`

- - ### Field Detail

    - #### CONFIGURED

          static final java.lang.String CONFIGURED

      See Also:
        Constant Field Values

    - #### UNCONFIGURED

          static final java.lang.String UNCONFIGURED

      See Also:
        Constant Field Values

    - #### BYPASSED

          static final java.lang.String BYPASSED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getProperty

          java.lang.String getProperty(java.lang.String propertyName)
                                throws edu.ucsb.nceas.utilities.PropertyNotFoundException

      Throws:
        `edu.ucsb.nceas.utilities.PropertyNotFoundException`

    - #### getPropertyNames

          java.util.Vector<java.lang.String> getPropertyNames()

    - #### getPropertyNamesByGroup

          java.util.Vector<java.lang.String> getPropertyNamesByGroup(java.lang.String groupName)

    - #### getPropertiesByGroup

          java.util.Map<java.lang.String,java.lang.String> getPropertiesByGroup(java.lang.String groupName)
                                                                         throws edu.ucsb.nceas.utilities.PropertyNotFoundException

      Throws:
        `edu.ucsb.nceas.utilities.PropertyNotFoundException`

    - #### addProperty

          void addProperty(java.lang.String propertyName,
                           java.lang.String value)
                    throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### setProperty

          void setProperty(java.lang.String propertyName,
                           java.lang.String newValue)
                    throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### setPropertyNoPersist

          void setPropertyNoPersist(java.lang.String propertyName,
                                    java.lang.String newValue)
                             throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### persistProperties

          void persistProperties()
                          throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### checkAndSetProperty

          boolean checkAndSetProperty(javax.servlet.http.HttpServletRequest request,
                                      java.lang.String propertyName)
                               throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### getMainBackupProperties

          edu.ucsb.nceas.utilities.SortedProperties getMainBackupProperties()
                                                                     throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### getAuthBackupProperties

          edu.ucsb.nceas.utilities.SortedProperties getAuthBackupProperties()
                                                                     throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### getMainMetaData

          edu.ucsb.nceas.utilities.PropertiesMetaData getMainMetaData()
                                                               throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### getAuthMetaData

          edu.ucsb.nceas.utilities.PropertiesMetaData getAuthMetaData()
                                                               throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### persistMainBackupProperties

          void persistMainBackupProperties()
                                    throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### persistAuthBackupProperties

          void persistAuthBackupProperties(javax.servlet.ServletContext servletContext)
                                    throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### arePropertiesConfigured

          boolean arePropertiesConfigured()
                                   throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### doBypass

          boolean doBypass()
                    throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

    - #### bypassConfiguration

          void bypassConfiguration()
                            throws edu.ucsb.nceas.utilities.GeneralPropertyException

      Throws:
        `edu.ucsb.nceas.utilities.GeneralPropertyException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.